# EventManager Class Reference

`#include <EventManager.h>`

Inheritance diagram for EventManager:

List of all members.

## Classes
struct | EventListenerSet
## Public Member Functions
| EventManager ()
| ~EventManager ()
void | ProcessQueue (unsigned int totalTime=0)
void | AddEventListener (const HashString &eventType, IEventListener *pListener)
void | RemoveEventListener (const HashString &eventType, IEventListener *pListener)
void | RemoveEventListenerFromAll (IEventListener *pListener)
void | TriggerEvent (IEvent *pEvent)
void | QueueEvent (IEvent *pEvent)
## Static Public Member Functions
static EventManager * | getSingleton ()
static void | deleteSingleton ()
## Protected Member Functions
EventListenerSet * | GetListenerSet (const HashString &eventType)
## Protected Attributes
std::vector< EventListenerSet * > | m_vEventListenerSets
std::queue< IEvent * > | m_qEventQueue
## Static Protected Attributes
static EventManager * | m_pInstance = NULL

## Detailed Description

Definition at line 13 of file EventManager.h.

## Constructor & Destructor Documentation

EventManager::EventManager | ( |  | ) |

Definition at line 10 of file EventManager.cpp.

EventManager::~EventManager | ( |  | ) |

Definition at line 15 of file EventManager.cpp.

## Member Function Documentation

void EventManager::AddEventListener | ( | const HashString & | eventType,
|  | IEventListener * | pListener |
| ) |  |  |

Definition at line 62 of file EventManager.cpp.

static void TSingleton< EventManager >::deleteSingleton | ( |  | ) | `[inline, static, inherited]`

Definition at line 22 of file TSingleton.h.

EventManager::EventListenerSet * EventManager::GetListenerSet | ( | const HashString & | eventType | ) | `[protected]`

Definition at line 151 of file EventManager.cpp.

static EventManager * TSingleton< EventManager >::getSingleton | ( |  | ) | `[inline, static, inherited]`

Definition at line 15 of file TSingleton.h.

void EventManager::ProcessQueue | ( | unsigned int | totalTime = `0` | ) |

Definition at line 29 of file EventManager.cpp.

void EventManager::QueueEvent | ( | IEvent * | pEvent | ) |

Definition at line 143 of file EventManager.cpp.

void EventManager::RemoveEventListener | ( | const HashString & | eventType,
|  | IEventListener * | pListener |
| ) |  |  |

Definition at line 81 of file EventManager.cpp.

void EventManager::RemoveEventListenerFromAll | ( | IEventListener * | pListener | ) |

Definition at line 100 of file EventManager.cpp.

void EventManager::TriggerEvent | ( | IEvent * | pEvent | ) |

Definition at line 121 of file EventManager.cpp.

## Member Data Documentation

EventManager * TSingleton< EventManager >::m_pInstance = NULL`[inline, static, protected, inherited]`

Definition at line 29 of file TSingleton.h.

std::queue<IEvent*> EventManager::m_qEventQueue`[protected]`

Definition at line 38 of file EventManager.h.

std::vector<EventListenerSet*> EventManager::m_vEventListenerSets`[protected]`

Definition at line 37 of file EventManager.h.

The documentation for this class was generated from the following files:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/EventManager.h
- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/EventManager.cpp